For the complete documentation index, see llms.txt. This page is also available as Markdown.

Exercise

Exercises all long positions in each specified option in the request. Please note that there is a fee to exercise options.

post
Required scopes
This endpoint requires the following scopes:
Authorizations
x-apikeystringRequired
Body
basestringRequiredExample: WETH
quotestringRequiredExample: USDC
expirationstringRequiredExample: 03NOV23Pattern: ^\d\d\w\w\w\d\d$
strikenumberRequiredExample: 1700
typestringRequiredExample: CPattern: ^C$|^P$
Responses
200

Positions exercised

application/json
post/pool/exercise
POST /pool/exercise HTTP/1.1
x-apikey: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 78

{
  "base": "WETH",
  "quote": "USDC",
  "expiration": "03NOV23",
  "strike": 1700,
  "type": "C"
}
{
  "success": [
    {
      "base": "WETH",
      "quote": "USDC",
      "expiration": "03NOV23",
      "strike": 1700,
      "type": "P"
    }
  ],
  "failed": [
    {
      "failedOption": {
        "base": "WETH",
        "quote": "USDC",
        "expiration": "03NOV23",
        "strike": 1700,
        "type": "P"
      },
      "reason": "text"
    }
  ]
}

Last updated

Was this helpful?